﻿Public Class frmCube

    Private Sub bttnDrawCube_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bttnDrawCube.Click
        Dim G As Graphics
        G = GetGraphicsObject()
        G.Clear(Color.SandyBrown)
        G.TranslateTransform(250, 200)
        Dim images(2) As Image
        images(0) = My.Resources.Image1
        images(1) = My.Resources.image2
        images(2) = My.Resources.image3

        Dim face1(2) As Point   ' the three points that define the front face of the cube
        face1(0) = New Point(-150, -20)
        face1(1) = New Point(150, -20)
        face1(2) = New Point(-150, 230)

        Dim face2(2) As Point   ' the three points that define the upper face of the cube
        face2(0) = New Point(-30, -140)
        face2(1) = New Point(270, -140)
        face2(2) = New Point(-150, -20)

        Dim face3(2) As Point   ' the three points that define the side face of the cube
        face3(0) = New Point(150, -20)
        face3(1) = New Point(270, -140)
        Me.DoubleBuffered = True
        face3(2) = New Point(150, 230)
        ' uncomment the following statements to rotate the cube
        ' (the For Next loop and the RotateTransform statement)
        '   Dim j As Integer
        '   For j = 1 To 360
        G.Clear(Me.BackColor)
        '       G.RotateTransform(-1)
        Dim imgIndex As Integer
        Dim rnd As New System.Random()
        ' pick up an image randomly
        imgIndex = rnd.Next(0, 3)
        ' and display it on face1
        G.DrawImage(images(0), face1)
        ' pick up an image random
        imgIndex = rnd.Next(0, 3)
        ' and display it on face2
        G.DrawImage(images(1), face2)
        ' pick up an image randomly
        imgIndex = rnd.Next(0, 3)
        ' and display it on face3
        G.DrawImage(images(2), face3)
        Me.Refresh()
        '   Next
    End Sub

    Function GetGraphicsObject() As Graphics
        Dim bmp As Bitmap
        bmp = New Bitmap(Me.Width, Me.Height)
        Dim G As Graphics
        Me.BackgroundImage = bmp
        G = Graphics.FromImage(bmp)
        Return G
    End Function

End Class
